# class KFileViewItem | Provides information about a file that has been created by KDirLister/KIO. More...
Definition | `#include <kfileviewitem.h>`
Inherits | KFileItem (kio) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KFileViewItem (const KURL& baseURL, const KIO::UDSEntry &)
- KFileViewItem ( mode_t _mode, mode_t _permissions, const KURL& _url, bool _determineMimeTypeOnDemand )
- KFileViewItem ( const KFileViewItem& )
- ~KFileViewItem ()
- bool isFile () const
- QString urlString () const
- QPixmap pixmap ( int size, int state = 0 ) const
- QPixmap pixmap () const
- QString date () const
- QString access () const
- void setViewItem ( const KFileView *view, const void *item )
- const void * viewItem ( const KFileView *view ) const
- KFileViewItem * next () const
- void setNext (KFileViewItem *n)
- KFileViewItem& operator= ( const KFileViewItem& )

#### Public Static Methods

- static QString dateTime (time_t secsSince1Jan1970UTC)

#### Protected Methods

- QString parsePermissions (mode_t perm) const

## Detailed Description

Provides information about a file that has been created by KDirLister/KIO.

KFileViewItem (const KURL& baseURL, const KIO::UDSEntry &) | ### KFileViewItem

Construct a KFileViewItem

KFileViewItem ( mode_t _mode, mode_t _permissions, const KURL& _url, bool _determineMimeTypeOnDemand ) | ### KFileViewItem

Constructs a "little" KFileViewItem (just for local files)

KFileViewItem ( const KFileViewItem& ) | ### KFileViewItem

Copy constructor. Note: you can't have an item twice in a view. This constructor does <em>not</em> copy any set viewItem() and neither does it copy the reference to the next() item.

~KFileViewItem () | ### ~KFileViewItem

Destroy the KFileViewItem object.

bool isFile () | ### isFile

[const]

Returns true if this item represents a file (and not a a directory)

QString urlString () | ### urlString

[const]

QPixmap pixmap ( int size, int state = 0 ) | ### pixmap

[const]

Returns a pixmap representing the file

Parameters:

size | KDE-size, for the pixmap, e.g. KIcon::Small

Returns: the pixmap.

See also: pixmap

Reimplemented from KFileItem.

QPixmap pixmap () | ### pixmap

[const]

Returns a pixmap for this file. The only difference to the other pixmap() method is that the last used Pixmap-size will be used. E.g. if you call pixmap( KIcon::SizeSmall ) once, you can refer to this pixmap thru this method without specifying the size. The default size is KIcon::SizeSmall. Use 0 for the default size.

Reimplemented from KFileItem.

QString date () | ### date

[const]

Returns a string of the date of the file.

QString access () | ### access

[const]

Returns the access permissions for the file as a string.

void setViewItem ( const KFileView *view, const void *item ) | ### setViewItem

const void * viewItem ( const KFileView *view ) | ### viewItem

[const]

QString dateTime (time_t secsSince1Jan1970UTC) | ### dateTime

[static]

KFileViewItem * next () | ### next

[const]

void setNext (KFileViewItem *n) | ### setNext

KFileViewItem& operator= ( const KFileViewItem& ) | ### operator=

Assigns an item to this item. Does not copy the viewItem() and the next() item.

QString parsePermissions (mode_t perm) | ### parsePermissions

[protected const]

- Version: $Id: kfileviewitem.h,v 1.21 2000/11/23 21:33:03 pfeiffer Exp $
- Author: rich@kde.org
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:42:26 2001, using kdoc 2.0a53.